scala.tools.nsc.Global

# GlobalPlatform

#### class GlobalPlatform extends JavaPlatform

Attributes
  protected
Source
  Global.scala

Linear Supertypes
JavaPlatform, Platform, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GlobalPlatform
2. JavaPlatform
3. Platform
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GlobalPlatform()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GlobalPlatform to any2stringadd[GlobalPlatform] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (GlobalPlatform, B)

   Implicit information
     This member is added by an implicit conversion from GlobalPlatform to ArrowAssoc[GlobalPlatform] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def classPath: ClassPath[AbstractFile]

   The compiler classpath.

   The compiler classpath.

   Definition Classes
     JavaPlatform → Platform

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (GlobalPlatform) ⇒ Boolean, msg: ⇒ Any): GlobalPlatform

   Implicit information
     This member is added by an implicit conversion from GlobalPlatform to Ensuring[GlobalPlatform] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (GlobalPlatform) ⇒ Boolean): GlobalPlatform

    Implicit information
      This member is added by an implicit conversion from GlobalPlatform to Ensuring[GlobalPlatform] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): GlobalPlatform

    Implicit information
      This member is added by an implicit conversion from GlobalPlatform to Ensuring[GlobalPlatform] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): GlobalPlatform

    Implicit information
      This member is added by an implicit conversion from GlobalPlatform to Ensuring[GlobalPlatform] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### lazy val externalEquals: Global.Symbol

    Symbol for a method which compares two objects.

    Symbol for a method which compares two objects.

    Definition Classes
      JavaPlatform → Platform

16. #### lazy val externalEqualsNumChar: Global.Symbol

    Definition Classes
      JavaPlatform

17. #### lazy val externalEqualsNumNum: Global.Symbol

    Definition Classes
      JavaPlatform

18. #### lazy val externalEqualsNumObject: Global.Symbol

    Definition Classes
      JavaPlatform

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from GlobalPlatform to StringFormat[GlobalPlatform] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### val global: Global.this.type

    Definition Classes
      GlobalPlatform → JavaPlatform

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def isMaybeBoxed(sym: Global.Symbol): Boolean

    We could get away with excluding BoxedBooleanClass for the purpose of equality testing since it need not compare equal to anything but other booleans, but it should be present in case this is put to other uses.

    We could get away with excluding BoxedBooleanClass for the purpose of equality testing since it need not compare equal to anything but other booleans, but it should be present in case this is put to other uses.

    Definition Classes
      JavaPlatform → Platform

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def needCompile(bin: AbstractFile, src: AbstractFile): Boolean

    Tells whether a class with both a binary and a source representation (found in classpath and in sourcepath) should be re-compiled.

    Tells whether a class with both a binary and a source representation (found in classpath and in sourcepath) should be re-compiled. Behaves on the JVM similar to javac, i.e. if the source file is newer than the classfile, a re-compile is triggered. On .NET by contrast classfiles always take precedence.

    Definition Classes
      JavaPlatform → Platform

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def platformPhases: collection.immutable.List[SubComponent { ... /* 2 definitions in type refinement */ }]

    Any platform-specific phases.

    Any platform-specific phases.

    Definition Classes
      JavaPlatform → Platform

31. #### val settings: Settings

32. #### val symbolTable: global.type

    Definition Classes
      JavaPlatform → Platform

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### def updateClassPath(subst: Map[ClassPath[AbstractFile], ClassPath[AbstractFile]]): Unit

    Update classpath with a substituted subentry

    Update classpath with a substituted subentry

    Definition Classes
      JavaPlatform → Platform

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (GlobalPlatform, B)

    Implicit information
      This member is added by an implicit conversion from GlobalPlatform to ArrowAssoc[GlobalPlatform] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from JavaPlatform

### Inherited from Platform

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from GlobalPlatform to any2stringadd[GlobalPlatform]

### Inherited by implicit conversion StringFormat from GlobalPlatform to StringFormat[GlobalPlatform]

### Inherited by implicit conversion Ensuring from GlobalPlatform to Ensuring[GlobalPlatform]

### Inherited by implicit conversion ArrowAssoc from GlobalPlatform to ArrowAssoc[GlobalPlatform]

### Ungrouped